package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;

@Data
public class TJMgnBoardModel extends BaseBean {

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("颜色")
    private String partColor;

    @ApiParam("生产数量")
    private Double prodQty;

    @ApiParam("一次合格数量")
    private Double firstQuQty;

    @ApiParam("抛光数量")
    private Double polishQty;

    @ApiParam("不合格数量")
    private Double noQuQty;

    @ApiParam("一次合格率")
    private String firstPassRate;

    @ApiParam("最终合格率")
    private String finalPassRate;

    @ApiParam("不良处理类型")
    private String defectType;

    @ApiParam("列名")
    private List<List<String>> headModelList;

    @ApiParam("列值")
    private List<List<Double>> headValueModelList;

}
