package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author wangjie
 * @date 2020/4/9 18:00
 * @desc
 */
@Data
public class BypassModel {

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("工位")
    private String workCellCode;

    @ApiParam("Bypass编码")
    private String bypassCode;

    @ApiParam("检测项")
    private String checkName;

    @ApiParam("是否确认，1=已确认，2=未确认")
    private String isVerify;

    @ApiParam("生产数据ID")
    private Long productDataId;

    @ApiParam("BYPASS项序号")
    private Integer bypassSeq;

    @ApiParam("状态")
    private String status;

}
