package cn.estsh.i3plus.pojo.mes.model;

import cn.estsh.i3plus.pojo.mes.bean.MesDefect;
import cn.estsh.i3plus.pojo.mes.bean.MesDismantleRecord;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

@Data
public class DismantleRecordModel {

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("缺陷类型")
    private String defectType;

    @ApiParam("用户")
    private String userInfo;

    @ApiParam("物料拆解集合")
    private List<MesDismantleRecord> dismantleRecordList;

    @ApiParam("不良集合")
    private List<MesDefect> defectList;
}
